=== modified file 'codeigniter/application/controllers/ajax.php'
--- codeigniter/application/controllers/ajax.php	2013-05-24 14:24:18 +0000
+++ codeigniter/application/controllers/ajax.php	2013-05-24 14:31:28 +0000
@@ -17,6 +17,23 @@
 		public function popup($popupName) {
 			$this->load->view('popup/'.$popupName);
 		}
+
+		function showPopup($popupName) {
+			$headTagData = array(
+				'cssFiles' => array('bannermenu', 'popup')
+			);
+
+			$userInfo = array(
+				'userType' => $this->user->getUserType(), // Loads different header for teacher/student
+				'userName' => $this->user->getUserName()
+			);
+
+			// Loads head views, supplying CSS and JS data
+			$this->load->view('headTag', array('headTagData' => $headTagData));
+			$this->load->view('bannermenu', $userInfo);
+
+			$this->load->view('popup/'.$popupName);
+		}
 		
 		/*
 		 *	This function return TRUE if the user is logged in and FALSE otherwise.

=== modified file 'codeigniter/application/controllers/cms.php'
--- codeigniter/application/controllers/cms.php	2013-05-24 14:24:18 +0000
+++ codeigniter/application/controllers/cms.php	2013-05-24 14:31:28 +0000
@@ -50,7 +50,7 @@
 			$activeCourse = $this->user->getActiveCourse();
 			//Creates an array with all courses.
 			$courses = $this->admin_model->getCourses();
-			$categories = $this->admin_model->getCategories('DA525G');
+			$categories = $this->admin_model->getCategories($activeCourse);
 			//Creates an array with the variables that the bannermenu-view is expecting.
 			$data = array(
 				'userType' => $userType,

=== modified file 'codeigniter/application/controllers/start.php'
--- codeigniter/application/controllers/start.php	2013-05-22 12:42:09 +0000
+++ codeigniter/application/controllers/start.php	2013-05-26 14:29:27 +0000
@@ -13,12 +13,32 @@
 		}
 	
 		/*
+		 *Temporary function to be able to be logged in to reach the page
+		 */
+		public function tempLogin() {
+			$this->load->model('user');
+			$loginDetails = array(
+			'username' => 'tempTeacher',
+			'name' => 'tempFoo',
+			'usertype' => 'Teacher',
+			'ssn' => '0000',
+			'activeCourse' => 'DA525G');
+			$this->session->set_userdata('authenticated', $loginDetails);
+			redirect(base_url().'start', 'refresh');
+		}
+		public function tempLogout() {
+			$this->load->model('user');
+			$this->session->unset_userdata('authenticated');
+			redirect(base_url().'home', 'refresh');
+		}
+	
+		/*
 		 *	This function runs when the user navigates directly to the start controller
 		 */
 		public function index() {
 			if($this->user->isLoggedIn()) {
 				//User already logged in
-				redirect(base_url().'home', 'refresh');
+				redirect(base_url().'cms', 'refresh');
 			} else {
 				//Display the start page
 				$this->drawStartPage('');
@@ -31,13 +51,17 @@
 		private function drawStartPage() {
 			$userName = $this->user->getUserName();
 			$userType = $this->user->getUserType();
+			//Creates an array with active course info.
+			$activeCourse = $this->user->getActiveCourse();
 			//Creates an array with all courses.
 			$courses = $this->admin_model->getCourses();
 			
+			
 			//Creates an array with the variables that the bannermenu-view is expecting.
 			$data = array(
 				'userType' => $userType,
 				'userName' => $userName,
+				'activeCourse' => $activeCourse,
 				'courses' => $courses
 			);
 			

=== modified file 'codeigniter/application/models/user.php'
--- codeigniter/application/models/user.php	2013-05-24 11:28:43 +0000
+++ codeigniter/application/models/user.php	2013-05-26 14:29:27 +0000
@@ -387,16 +387,36 @@
 		}
 		
 		/*
-		* This function fetches the active course from the user table
+		* This function fetches the active course info
 		*/
 		public function getActiveCourse(){
+			
 			if($this->isLoggedIn()) {
 				$temp = $this->session->userdata('authenticated');
-				return $temp['activeCourse'];	
+				$courseID = $temp['activeCourse'];
+				$courseName;
+			
+				//Query-structure
+				$this->db->select('name');
+				$this->db->from('Courses');
+				$this->db->where('courseID', $courseID);
+				$this->db->limit(1);
+				//Execute query
+				$query = $this->db->get();
+				$result = $query->result();
+
+				foreach($result as $row) {
+					$courseName = $row->name;
+				}
+				
+				$data = array(
+					'courseID' => $courseID,
+					'courseName' => $courseName
+				);
+				
+				return $data;
 			}
-			
 			return FALSE;
 		}
 	}
-	
 ?>
\ No newline at end of file

=== modified file 'codeigniter/application/views/bannermenu.php'
--- codeigniter/application/views/bannermenu.php	2013-05-24 14:24:18 +0000
+++ codeigniter/application/views/bannermenu.php	2013-05-26 14:29:27 +0000
@@ -12,7 +12,7 @@
 			
 			//If user is logged in
 			if($userName != '') {
-				$url += 'cms';
+				$url = base_url().'cms';
 			}
 			
 			echo '<a href="'.$url.'" title="Home"><div id="bannerLogoButton"></div></a>';
@@ -28,14 +28,14 @@
                 <!-- Determines if the header should contain active course info depending on if the user is logged in or not -->
             	<?php
 					//$userName
-					//$activeCourseName
-					//$activeCourseCode
+					//$activeCourse
 					$header = '';
-					
+											
 					//If user is logged in
 					if($userName != '') {
-						$header = '<span id="bannerHeaderCMSCourseName">'.$activeCourseName.'</span>&nbsp;-&nbsp;
-                    			    <span id="bannerHeaderCMSCourseCode">'.$activeCourseCode.'</span>';
+						$header = '<span id="bannerHeaderCMSCourseName">'.
+						$activeCourse['courseName'].'&nbsp;</span><span id="bannerHeaderCMSCourseCode">-&nbsp;'.
+						$activeCourse['courseID'].'</span>';
 					}
 					
 					echo '<div id="bannerHeaderCMS">'.$header.'</div>';
@@ -86,26 +86,35 @@
         <!-- This div contains the dropdownmenu for user menu button -->
         <div id="dropdownUserMenu">
             <div class="drowdownMenuHeader">Settings</div>
-            <a href="#"><div class="dropdownMenuButton">Courses<span id="dropdownMenuButtonArrow">&nbsp;</span></div></a>
+				<div id="dropdownMenuExpandCourses" class="dropdownMenuButton">
+					Courses<span id="dropdownMenuButtonArrow">&nbsp;</span>
+				</div>
             <div id="dropdownMenuCourseBlock">
                 <ul>
 					<?php
 						//$courses
+						//$activeCourse
 						
 						foreach($courses as $course) {
-							echo '<li><a href="#">'
-							.$course->name.' - '.$course->courseID;
-							echo '</a></li>';
+							if($course->courseID == $activeCourse['courseID']) {
+								echo '<li class="dropdownMenuCourseBlockActiveCourse">'
+								.$course->name.' - '.$course->courseID;
+								echo '</li>';
+							}
+							else {
+								echo '<li>'
+								.$course->name.' - '.$course->courseID;
+								echo '</li>';
+							}
 						}
 					?>
-                    <li class="dropdownMenuCourseBlockActiveCourse"><a href="#">Webprogramming - DA330G</a></li>
                 </ul>
                 <hr>
-                <p><a href="#">Manage Courses</a></p>
+                <p>Manage Courses</p>
             </div>
-            <a href="#"><div class="dropdownMenuButton">Add Instructor</div></a>
-            <a href="#"><div class="dropdownMenuButton">Change Password</div></a>
-            <a href="#"><div class="dropdownMenuButton">Logout</div></a>
+            <div class="dropdownMenuButton">Add Instructor</div>
+            <div class="dropdownMenuButton">Change Password</div>
+            <div class="dropdownMenuButton">Logout</div>
         </div>
 		
 		<!-- This div contains the all the popups needed for this view -->

=== modified file 'codeigniter/application/views/popup/addCategory.php'
--- codeigniter/application/views/popup/addCategory.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/addCategory.php	2013-05-24 12:20:08 +0000
@@ -1,9 +1,15 @@
-<div id="addCategory">
-	<h2 class="loginTitle">Add Category</h2>
-	<div id="middleLayerPopups">
-		<p>Enter Category Name</p>	
-		<input class="text" type="text" size="20" id="categoryName" name="categoryName" placeholder="Category Name"/><br>
-		<input type="button" class="popupButtons btn" value="Remove">
-		<input type="button" onClick="addCategoryButtonHide()" class="popupButtons btn" value="Cancel">
-	</div>
+<div id="addCategory" class="popup">
+	<h2 class="popupHeader">Add Category</h2>
+	<form>
+		<ul>
+			<li>
+				<label for="categoryName">Category name:</label>
+				<input class="text" type="text" size="20" id="categoryName" name="categoryName" placeholder="Category Name">
+			</li>
+		</ul>
+		<div class="bottomMenu">
+			<button class="popupButton cancelButton btn">Cancel</button>
+			<button type="submit" class="popupButton" onClick="addCategoryButtonHide()">Confirm</button>
+		</div>
+	</form>
 </div>
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/addCourse.php'
--- codeigniter/application/views/popup/addCourse.php	2013-05-24 09:37:27 +0000
+++ codeigniter/application/views/popup/addCourse.php	2013-05-24 12:07:02 +0000
@@ -1,4 +1,4 @@
-<div id="addCourse" class="manageCoursePopup">
+<div id="addCourse" class="manageCoursePopup popup">
 	<h2 class="popupHeader">Add Course</h2>
 	<form action="<?=base_url();?>ManageCourses/addCourse" method="post">
 		<ul>
@@ -15,9 +15,9 @@
 				<input type="text" class="text" name="addCourseData" id="addCourseData" placeHolder="Course Description">
 			</li>
 		</ul>
-		<div class="manageCoursePopupMenu">
-			<button class="popupButtons btn" type="submit">Confirm</button>
-			<button class="cancelButton popupButtons btn">Cancel</button>
+		<div class="bottomMenu">
+			<button class="popupButton btn" type="submit">Confirm</button>
+			<button class="cancelButton popupButton btn">Cancel</button>
 		</div>
 	</form>
 </div>	
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/addNewInstructor.php'
--- codeigniter/application/views/popup/addNewInstructor.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/addNewInstructor.php	2013-05-24 13:13:27 +0000
@@ -1,12 +1,15 @@
-<div id="addNewInstructor">
-	<h2 class="loginTitle">Add New Instructor</h2>
-	<div id="middleLayerPopups">
-		<div class="tableRow">
-			<p class="tableCell">Email</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="grilldalf95@his.se"/>
+<div id="addNewInstructor" class="popup">
+	<h2 class="popupHeader">Add New Instructor</h2>
+	<form>
+		<ul>
+			<li>
+				<label for="email">E-Mail:</label>
+				<input type="text" class="text" id="instructorEmail" name="instructorEmail" placeholder="Instructor E-mail">
+			</li>
+		</ul>
+		<div class="bottomMenu">
+			<button type="submit" class="popupButton">Confirm</button>
+			<button class="cancelButton popupButton" onClick="addNewInstructorButtonHide()">Cancel</button>
 		</div>
-	</div>
-	<div>
-		<input type="button" class="popupButtons btn" value="Confirm">
-		<input type="button" onClick="addNewInstructorButtonHide()" class="popupButtons btn" value="Cancel">
-	</div>
+	</form>
 </div>
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/addStudents.php'
--- codeigniter/application/views/popup/addStudents.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/addStudents.php	2013-05-24 13:13:27 +0000
@@ -1,13 +1,15 @@
-<div id="addStudents">
-	<h2 class="loginTitle">Add Course</h2>
-	<div id="middleLayerPopupsSizeThree">
-		<form method="post" action="">
-			<div class="tableRow">
-				<p>Format for ladok text file</p> 
-				<textarea name="comments" cols="52" rows="8"></textarea><br>
-			</div>
-			<input type="button" class="popupButtons btn" value="Confirm">
-			<input type="button" onClick="addStudentsButtonHide()" class="popupButtons btn" value="Cancel">
-		</form>
-	</div>
+<div id="addStudents" class="popup">
+	<h2 class="popupHeader">Add Ladok file</h2>
+	<form method="post" action="">
+		<ul>
+			<li>
+				<p>Some formatting info goes here.</p>
+				<textarea name="comments" cols="52" rows="8"></textarea>
+			</li>
+		</ul>
+		<div class="bottomMenu">
+			<button type="submit" class="popupButton">Confirm</button>
+			<button onClick="addStudentsButtonHide()" class="popupButton cancelButton">Cancel</button>
+		</div>
+	</form>
 </div>
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/changeActiveCourse.php'
--- codeigniter/application/views/popup/changeActiveCourse.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/changeActiveCourse.php	2013-05-24 13:13:27 +0000
@@ -1,8 +1,10 @@
-<div id="changeActiveCourse">
-	<h2 class="loginTitle">Change Active Course</h2>
-	<div id="middleLayerPopups">
-		<p><?PHP echo 'Do you wish to set' .  $courseName . ' - ' . $courseCode . ' as your current directory?'; ?></p>	
-	</div>
-	<input type="button" class="popupButtons btn" value="Confirm">
-	<input type="button" onClick="changeActiveCourseButtonHide()" class="popupButtons btn" value="Cancel">
+<div id="changeActiveCourse" class="popup">
+	<h2 class="loginTitle popupHeader">Change Active Course</h2>
+	<form>
+		<p><? echo 'Do you wish to set' .  $courseName . ' - ' . $courseCode . ' as your current directory?'; ?></p>	
+		<div class="bottomMenu">
+			<button type="submit" class="popupButton">Confirm</button>
+			<button onClick="changeActiveCourseButtonHide()" class="popupButton cancelButton">Cancel</button>
+		</div>
+	</form>
 </div>
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/editCourseDetails.php'
--- codeigniter/application/views/popup/editCourseDetails.php	2013-05-24 09:37:27 +0000
+++ codeigniter/application/views/popup/editCourseDetails.php	2013-05-24 12:07:02 +0000
@@ -1,4 +1,4 @@
-<div id="editCourse" class="manageCoursePopup">
+<div id="editCourse" class="manageCoursePopup popup">
 	<h2 class="popupHeader">Edit Course</h2>
 	<form action="<?=base_url();?>ManageCourses/editCourse" method="post">
 		<ul>
@@ -16,9 +16,9 @@
 				<input type="text" class="text" name="editCourseData" id="editCourseData">
 			</li>
 		</ul>
-		<div class="manageCoursePopupMenu">
-			<button class="popupButtons btn" type="submit">Confirm</button>
-			<button class="cancelButton popupButtons btn">Cancel</button>
+		<div class="bottomMenu">
+			<button class="popupButton btn" type="submit">Confirm</button>
+			<button class="popupButton cancelButton btn">Cancel</button>
 		</div>
 	</form>
 </div>	
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/loginForm.php'
--- codeigniter/application/views/popup/loginForm.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/loginForm.php	2013-05-24 12:07:02 +0000
@@ -1,13 +1,20 @@
-<div id="loginForm">
-	<h2 class="loginTitle">Login</h2>
-	<?php echo form_open('login/validate'); ?>
-		<div class="inputarea">
-			<input class="text" type="text" size="20" id="username" name="username" /><br>
-			<input class="text" type="password" size="20" id="password" name="password" /><br>
-		</div>
-		<div>
-			<input class="hint btn" type="button" onclick="passwordHint('<?php echo base_url(); ?>');"/>
-			<input class="submit btn" type="submit" value="Login"/>
+<div id="loginForm" class="popup">
+	<h2 class="loginTitle popupHeader">Login</h2>
+	<form action="<?=base_url();?>login/validate" method="post">
+		<ul>
+			<li>
+				<label for="username">Username:</label>
+				<input class="text" type="text" size="20" id="username" name="username" placeholder="Username">
+			</li>
+			<li>
+				<label for="password">Password:</label>
+				<input class="text" type="password" size="20" id="password" name="password" placeholder="Password">
+			</li>
+		</ul>
+		<div class="bottomMenu">
+			<!--<button class="popupButton hint btn" onclick="passwordHint('<?php echo base_url(); ?>');">Hint</button>-->
+			<button class="popupButton submit btn" type="submit">Login</button>
+			<button class="popupButton cancelButton btn">Cancel</button>
 			<div id='hinttext'></div>
 		</div>
 	</form>

=== modified file 'codeigniter/application/views/popup/passwordChanger.php'
--- codeigniter/application/views/popup/passwordChanger.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/passwordChanger.php	2013-05-24 13:13:27 +0000
@@ -1,23 +1,31 @@
-<div id="passwordChanger">
-	<p class="passwordHeader">Change password</p><p class="passwordHeaderBorder"></p>
+<div id="passwordChanger" class="popup">
+	<h2 class="popupHeader">Change Password</h2>
 	<form id="changePassword" onsubmit="return confirm('<?php echo base_url(); ?>'); return false;">
-		<p>Current password:
-			<span class="errorMessage" name="currentPwd" title="Enter your current password.">#</span>
-			<input type="password" id="currentPwd"/>
-		</p>
-		<p>New password:
-			<span class="errorMessage" name="newPwd" title="Password can only use: a-z A-Z 0-9 _ - and must be of minimum 6 characters.">#</span>
-			<input type="password" id="newPwd" onkeyup="validNewPwd(), validRepeatedPwd();"/>
-		</p>
-		<p>Repeat password:
-			<span class="errorMessage" name="repeatPwd" title="Passwords don't match!">#</span>
-			<input type="password" id="repeatPwd" onkeyup="validRepeatedPwd();"/>
-		</p>
-		<p>Password hint:
-			<span class="errorMessage" name="hintPwd" title="This hint should be cool!">#</span>
-			<input type="text" id="hintPwd"/>
-		</p>
-		<input type="button" class="button" value="Cancel" onclick="cancelPasswordChange();"/>
-		<input type="button" class="button" value="Ok" onclick="confirm('<?php echo base_url(); ?>');"/>
+		<ul>
+			<li>
+				<label for="currentPwd">Current password:</label>
+				<span class="errorMessage" title="Enter your current password.">#</span>
+				<input type="text" class="text" id="currentPwd" name="currentPwd" placeholder="Current password">
+			</li>
+			<li>
+				<label for="newPwd">New password:</label>
+				<span class="errorMessage" title="Password can only use: a-z A-Z 0-9 _ - and must be of minimum 6 characters.">#</span>
+				<input type="password" class="text" name="newPwd" id="newPwd" onkeyup="validNewPwd(), validRepeatedPwd();" placeholder="New password">
+			</li>
+			<li>
+				<label for="repeatMsg">Repeat password:</label>
+				<span class="errorMessage" title="Passwords don't match!">#</span>
+				<input type="password" id="repeatPwd" onkeyup="validRepeatedPwd();" name="repeatPwd" placeholder="Repeat password" class="text">
+			</li>
+			<li>
+				<label for="hintPwd">Password hint:</label>
+				<span class="errorMessage" name="hintPwd" title="This hint should be cool!">#</span>
+				<input type="text" id="hintPwd" class="text" placeholder="Password hint">
+			</li>
+		</ul>
+		<div class="bottomMenu">
+			<button class="button popupButton cancelButton" onclick="cancelPasswordChange();" class="">Cancel</button>
+			<button type="bumit" class="button popupButton" onclick="confirm('<?php echo base_url(); ?>');">Confirm</button>
+		</div>
 	</form>
 </div>
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/subjectConfirmRemove.php'
--- codeigniter/application/views/popup/subjectConfirmRemove.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/subjectConfirmRemove.php	2013-05-24 13:13:27 +0000
@@ -1,8 +1,10 @@
-<div id="subjectConfirmRemove">
-	<h2 class="loginTitle">Confirm Removal</h2>
-	<div id="middleLayerPopups">
+<div id="subjectConfirmRemove" class="popup">
+	<h2 class="popupHeader">Confirm Removal</h2>
+	<form>
 		<p>By pressing remove the object and all of its contents will be permanently removed</p>
-	</div>
-	<input type="button" class="popupButtons btn" value="Remove">
-	<input type="button" onClick="subjectConfirmButtonHide()" class="popupButtons btn" value="Cancel">
+		<div class="bottomMenu">
+			<button class="popupButton">Remove</button>
+			<button class="popupButton cancelButton" onClick="subjectConfirmButtonHide()">Cancel</button>
+		</div>
+	</form>
 </div>
\ No newline at end of file

=== modified file 'codeigniter/css/bannermenu.css'
--- codeigniter/css/bannermenu.css	2013-05-24 14:24:18 +0000
+++ codeigniter/css/bannermenu.css	2013-05-26 14:29:27 +0000
@@ -64,7 +64,7 @@
 }
 
 #bannerContentCMS {
-	display: none;
+	display: relative;
 }
 
 /* Contains the header for the CMS page */
@@ -283,6 +283,8 @@
 	background-color: #ae2771;
 	border-top: 1px solid #c14288;
 	border-bottom: 1px solid #90215e;
+	cursor: hand;
+	cursor: pointer;
 }
 
 #dropdownMenuButtonArrow {
@@ -295,6 +297,7 @@
 
 /* Contains the list of all the courses */
 #dropdownMenuCourseBlock {
+	display: none;
 	margin: 0 1px;
 	padding: 5px 0;
 	background-color: #333;
@@ -308,6 +311,8 @@
 
 #dropdownMenuCourseBlock li:hover {
 	background-color: #ae2771;
+	cursor: hand;
+	cursor: pointer;
 }
 
 /* Sets the active course to bold */
@@ -338,6 +343,8 @@
 
 #dropdownMenuCourseBlock p:hover {
 	background-color: #ae2771;
+	cursor: hand;
+	cursor: pointer;
 }
 
 /*

=== modified file 'codeigniter/css/popup.css'
--- codeigniter/css/popup.css	2013-05-22 10:06:29 +0000
+++ codeigniter/css/popup.css	2013-05-24 13:13:27 +0000
@@ -1,349 +1,116 @@
-#loginForm{
-	z-index:3000000;
+
+
+/* Fart */
+
+.popup {
+	width: 500px;
+	height: 250px;
 	position: fixed;
-    height: 175px;
-    width: 305px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-h2.loginTitle{
-	margin:0;
-	margin-left:-15px;
-	margin-bottom:10px;
-	text-indent:15px;
-	padding-top:5px;
-	padding-bottom:5px;
+	z-index: 9999;
+	/* negative margins equal to half of width and half of height centers the element in conjunction with top/left: 50%; */
+	margin-left: -250px;
+	margin-top: -125px;
+	top: 50%;
+	left: 50%;
+	border: 1px solid #d3d3d3;
+	font: normal 1.3em/100% sans-serif;
+	background: #f5f5f5;
+}
+
+.popup form {
+	margin-left: 10px;
+	margin-top: 10px;
+}
+
+.popup .popupHeader{
+	padding: 5px 10px;
 	color:#FFF;
-	font-size:24px;
-	line-height:100%;
-	background-color:#333333;
-	}
-input.text{
-	float:left;
-	margin-top:10px;
-	margin-left:5px;
-	margin-right:5px;
-	height:30px;
+	background-color:#353535;
+	font-size: 100%;
+	font-weight: normal;
+	line-height: 1.5em;
+	border-bottom: 1px solid #d3d3d3;
+}
+
+
+.popup form ul li {
+	list-style: none;
+	height: 40px;
+}
+
+.popup form ul li label {
+	float: left;
+	width: 10em;
+	clear: left;
+	line-height: 30px;
+}
+
+.popup input.text {
 	background-color:white;
-	width:280px;
-	font-size:22px;
+	width:230px;
+	font-size:16px;
 	color:color:#333333;
-	display:inline-block;
-	/*Rounded corners*/
-	-webkit-border-radius: 7px;
-	-moz-border-radius: 7px;
-	border-radius: 7px;
-}
-
-input.submit{
-	float:right;
-	height:35px;
-	width:100px;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-right:20px;
-	margin-top:10px;
-
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-input.popupButtons{
-	float:left;
-	height:35px;
-	width:100px;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-right:30px;
-	margin-left:20px;
-	margin-top:10px;
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-input.btn:hover{
-	background-color:#f5f5f5;
-	background-image: linear-gradient(to bottom,#fff,#f5f5f5);
-}
-
-input.hint{
-	float:left;
-	width:35px;
-	height:35px;
-	margin-top:10px;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-left:20px;
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-
-input.notValid{
-	background: #FF7F50;
-}
-
-input.Valid{
-	background: #98FB98;
-}
-
-.errorMessage{
-	float:right;
-	cursor:pointer;
-	font-family: "icomoon";
-	color:white;
-	font-size: 8px;
-	display:inline;
-	opacity:0;
-}
-
-/* Window for change password */
-#passwordChanger{
-	/* Position & Size */
-	position:fixed;
-	left:35%;
-	top:24%;
-	padding:20px;
-	width:300px;
-	height:150px;
-	
-	/* Colors */	
-	color:white;
-	background-color:#333;
-
-	/* Fonts */	
-	line-height: 200%;
-	font-family: Helvetica;
-	
-	/* Borders */
-	border-top: 1px solid #555;
-	border-left: 1px solid #555;
-	border-bottom:1px solid #111;
-	border-right:1px solid #111;
-	-webkit-box-shadow: 0 0 8px #000;
-}
-
-#passwordChanger input{
-	width:40%;
-	margin-right:5px;
-	float:right;
-}
-
-#passwordChanger .passwordHeader{
-	/* Position & Size */
-	width:320px;
-	height:30px;
-	margin-left:-21px;
-	margin-top:-20px;
-	padding-left:20px;
-	
-	/* Fonts */
-	font-size: 18px;
-	line-height:200%;
-	font-weight: bold;
-	
-	/* Colors */
-	color: #fff;
-	background-color:#333;
-	
-	/* Borders */
-	border-top: 1px solid #555;
-	border-left: 1px solid #555;
-	border-bottom:1px solid #111;
-	border-right:1px solid #111;
-}
-#passwordChanger .passwordHeaderBorder{
-	border-bottom:1px solid #555;
-	width:340px;
-	margin-left:-21px;
-	margin-bottom:5px;
-}
-
-#passwordChanger .button{
-	/* Position & Size */
-	width:125px;
-	height:33px;
-	margin-top:10px;
-	margin-right:18px;
-	
-	/* Colors */
-	background: #a8a8a8;
-	background: -webkit-gradient(linear, left top, left bottom, from(#f0f0f0), to(#a8a8a8));
-	background: -moz-linear-gradient(top, #f0f0f0, #a8a8a8);
-	background: linear-gradient(to bottom, #f0f0f0, #a8a8a8);
-	color: #5c5c5c;
-	
-	/* Font */
-	font: 16px Helvetica;
-	font-weight: bold;
-	text-align: center;
-	
-	/* Borders */
-	border: 1px solid #d0d0d0;
-	-webkit-border-radius: 2px;
-	-moz-border-radius: 2px;
-	border-radius: 2px;
-
-}
-
-#passwordChanger .button:hover, .button:active, .button:focus {
-	background: #a0a0a0;
-	background: -webkit-gradient(linear, left top, left bottom, from(#d0d0d0), to(#a0a0a0));
-	background: -moz-linear-gradient(top, #d0d0d0, #a0a0a0);
-	border-color: #777;
-	color: #ffffff;
-	font-weight: bold;
-	text-decoration: none;
-	font-style: none;
-}
-#popupxButton{
-	float:right;
-	width:25px;
-	height:25px;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-right:15px;
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-#subjectConfirmRemove{
-	z-index:3000000;
-	position: fixed;
-    height: 175px;
-    width: 305px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#middleLayerPopups{
-	height:70px;
-	width:305px;
-	padding:0;
-}
-#middleLayerPopupsSizeTwo{
-	height:150px;
-	width:450px;
-	padding:0;
-	display:table;
-}	
-#middleLayerPopupsSizeThree{
-	height:175px;
-	width:450px;
-	padding:0;
-	display:table;
-}	
-#addCategory{
-	z-index:3000000;
-	position: fixed;
-    height: 175px;
-    width: 305px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#changeActiveCourse{
-	z-index:3000000;
-	position: fixed;
-    height: 175px;
-    width: 305px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#editCourse{
-	z-index:3000000;
-	position: fixed;
-    height: 250px;
-    width: 450px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#addCourse{
-	z-index:3000000;
-	position: fixed;
-    height: 250px;
-    width: 450px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#addStudents{
-	z-index:3000000;
-	position: fixed;
-    height: 275px;
-    width: 450px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#addNewInstructor{
-	z-index:3000000;
-	position: fixed;
-    height: 175px;
-    width: 335px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-.inline{
-	float: left;
-	display:inline;
-}
-
-.tableRow{
-	display:table-row;
-}
-
-.tableCell{
-	display:table-cell;
-}
-.overflow{
-	overflow:auto;
+	border-radius: 7px;
+	padding: 5px;
+	height: auto;
+	vertical-align: bottom;
+	margin-left: 0;
+	border: 1px #d3d3d3 solid;
+}
+
+.popup input.text:focus {
+	outline: 0;
+	border-color: #000;
+}
+
+
+.popup textarea {
+	margin-top: .5em;
+	border-radius: 7px;
+	border: 1px #d3d3d3 solid;
+}
+
+.popup textarea:focus {
+	outline: 0;
+	border-color: #000;
+}
+
+.popup span {
+	font-size: 100%;
+	line-height: 30px;
+}
+
+
+.popup .bottomMenu {
+	position: absolute;
+	bottom: 10px;
+}
+
+.popup .popupButton {
+	display:inline-block !important;
+	height:35px;
+	width:100px;
+	color: #666;
+	border-radius: 7px;
+	border: 1px #d3d3d3 outset;
+	background-image: linear-gradient(to top,#fff,#f5f5f5);
+}
+
+.popup .popupButton:hover {
+	cursor: pointer;
+	background: #fefefe;
+	color: #000;
+}
+
+.popup .popupButton:active {
+	border: 1px #d3d3d3 inset;
+}
+
+.popup .popupButton:focus {
+	border-color: #000;
+	outline: 0;
+}
+
+.popup .hint {
+	float: right;
 }
\ No newline at end of file

=== modified file 'codeigniter/js/bannermenu.js'
--- codeigniter/js/bannermenu.js	2013-05-24 14:24:18 +0000
+++ codeigniter/js/bannermenu.js	2013-05-26 14:29:27 +0000
@@ -10,6 +10,11 @@
 			if(response == 'yes') {
 				// If the user is logged in and the usermenu-div is hidden it's shown.
 				if($('#dropdownUserMenu').is(':hidden')) {
+					// Secure that the courseblock-div is hidden when the usermenu-div is oppened.
+					if($('#dropdownMenuCourseBlock').is(':visible')) {
+						$('#dropdownMenuCourseBlock').hide();
+					}
+					$('#dropdownUserMenu').load('bannermenu.php #dropdownUserMenu');
 					$('#dropdownUserMenu').show();
 				}
 				// If the user is logged in and the usermenu-div is shown it's hidden.
@@ -30,33 +35,22 @@
 				}
 			}
 		});
-	
-		
-		
-		
-
-		/*var target = $('#loginPopup');
-		if(target.is(":hidden")){
-			target.fadeIn(300);
-			$('#username').focus();
-			e.stopPropagation();
-		}
-		else{
-			// make not visible
-			// remove from DOM
-			target.fadeOut(300);
-		}*/
 		
 	});
 	
-	/* Check courses in expanded menu */
-	$('li.dropdownMenuCourseBlockNonActiveCourse').click(function(){
-		$('li.dropdownMenuCourseBlockActiveCourse').addClass('dropdownMenuCourseBlockNonActiveCourse');
-		$('li.dropdownMenuCourseBlockActiveCourse').removeClass('dropdownMenuCourseBlockActiveCourse');
+	// TODO: Refresh the div with it's php before show.
+	/* Expand and collapse courses in dropdown menu */
+	$('#dropdownMenuExpandCourses').click(function(){
+	
+		// If the course block is collapsed it's expanded.
+		if($('#dropdownMenuCourseBlock').is(':hidden')) {
+			$('#dropdownMenuCourseBlock').show();
+		}
+		// If the course block is expanded it's collapsed .
+		else {
+			$('#dropdownMenuCourseBlock').hide();
+		}
 
-		$(this).removeClass('dropdownMenuCourseBlockNonActiveCourse');
-		$(this).addClass("dropdownMenuCourseBlockActiveCourse");
-		/*TA BORT DEN ENA KLASSEN OCH ANVÄND TOGGLE*/
 	});
 	
 	

